#include <bits/stdc++.h>
 
using namespace std;
 
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) ((int)(x).size())
#define pb push_back
#define vt vector
#define all(x) (x).begin(), (x).end()
#define sp ' '
#define ar array
#define fi first
#define se second
#define ends "\n"
#define fu function
 
const long long MOD=1e9+7;
typedef long long ll;
typedef long double ld;
typedef unsigned long long ull;
 
void DBG() {
    cerr << "]" << endl;
}
template<class H, class... T> void DBG(H h, T... t) {
    cerr << to_string(h);
    if(sizeof...(t))
        cerr << ", ";
    DBG(t...);
}
#define dbg(...) cerr << "LINE(" << __LINE__ << ") -> [" << #__VA_ARGS__ << "]: [", DBG(__VA_ARGS__)
 
 
int main(void){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr); cout.tie(nullptr);

    cout << setprecision(5) << fixed;

 	int N; cin >> N;
 	vector<pair<double, ll>> A;
 	ll sum=0LL;
 	for(int i=0; i<N; ++i){
 		ll x; double d; cin >> x >> d;
 		sum+=x;
 		A.pb({d, x});
 	}
 	sort(all(A));
 	double ans=0.0;
 	double hun=100.0;
 	for(int i=0; i<N; ++i){
 		ans=max(ans, (double)(((double)sum)*A[i].fi)/hun);
 		sum-=A[i].se;
 	}
 	cout << ans << ends;
}